> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> ListAccounts

 Returns a list of accounts.



## OpenAPI

````yaml get /iam/accounts/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /iam/accounts/v1:
    get:
      tags:
        - AccountService
      description: |-
        ListAccounts

         Returns a list of accounts.
      operationId: AccountService_ListAccounts
      parameters:
        - name: page_token
          in: query
          schema:
            type: string
        - name: filter
          in: query
          description: >-
            Filter the result-set by properties using a subset of the Kibana
            Query Language.
             Supported filter fields:
             * `resource_key` - The resource key of the resource for which to list accounts. This is a required field.
               For organizations, this key consists of two components: the organization ID and string "organization", joined by a forward slash.
               For all other resources, this key consists of three components: the resource ID, the project ID, and the resource type (e.g. "event" or project"),
               joined by forward slashes (for projects specifically, this contains the same resource ID twice).
             * `nested` - A boolean. Defaults to false. If true, the endpoint will return accounts that have any level
             of explicitly granted access to any resource below the given resource path. No roles will be provided for these
             accounts, as they are not attributable to the given resource. Accounts with inherited access will not be included.
             Examples:
             - To list accounts that have explicit or inherited access to the organization "example" , use `resource_key:"example/organization"`
             - To list accounts that have explicit access to any resource below the project "demo", use `resource_key:"demo/demo/project" nested:true`
             - To list accounts that have explicit or inherited access to the event "r8efdFD9sMSaa93" inside the project "demo" , use `resource_key:"r8efdFD9sMSaa93/demo/event"`
          required: true
          schema:
            type: string
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/motto.iam.account.v1.ListAccountsResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.iam.account.v1.ListAccountsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/motto.iam.account.v1.ListAccountsResponse_Item
        next_page_token:
          type: string
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.iam.account.v1.ListAccountsResponse_Item:
      type: object
      properties:
        account:
          $ref: '#/components/schemas/motto.iam.account.v1.Account'
        roles:
          type: array
          items:
            $ref: '#/components/schemas/motto.iam.auth.v1.Role'
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    motto.iam.account.v1.Account:
      required:
        - email
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: System generated unique identifier for the account.
        first_name:
          type: string
          description: First name.
        last_name:
          type: string
          description: Last name.
        email:
          type: string
          description: Email address.
        verified:
          readOnly: true
          type: boolean
          description: Whether account has verified email or not.
        survey:
          readOnly: true
          enum:
            - SURVEY_STATUS_UNSPECIFIED
            - SURVEY_STATUS_COMPLETED
            - SURVEY_STATUS_SKIPPED
          type: string
          description: Status of account's survey completion.
          format: enum
      description: >-
        An account that can be used to identify someone within the Motto Studio
        API.
         Important: not to be confused with `User` which is a user of the Motto Content Delivery API.
    motto.iam.auth.v1.Role:
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: |-
            The unique identifier of the role.
             Can be either system role like `owner` or custom role ID like `project:PROJECT_ID:role:ROLE_ID`.
        name:
          type: string
          description: Name of the role.
        description:
          type: string
          description: Optional description of the role.
        permissions:
          type: array
          items:
            type: string
          description: List of permissions that are granted to the role.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````